[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Multi-dimensional Array Iterators |

General iterators for arrays of arbitrary dimension. More...

## Classes

class | MultiArrayShape
class | MultiIterator
| A multi-dimensional hierarchical iterator to be used with vigra::MultiArrayView if it is not strided. More...
class | StridedMultiIterator
| A multi-dimensional hierarchical iterator to be used with vigra::MultiArrayView if it is not strided. More...

## Typedefs

typedef std::ptrdiff_t | MultiArrayIndex

## Detailed Description

General iterators for arrays of arbitrary dimension.

## Typedef Documentation

typedef std::ptrdiff_t MultiArrayIndex

Index type for a single dimension of a MultiArrayView or MultiArray.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)